summaryrefslogtreecommitdiff
path: root/board
diff options
context:
space:
mode:
authorGary Bisson <gary.bisson@boundarydevices.com>2016-01-31 20:41:53 +0100
committerThomas Petazzoni <thomas.petazzoni@free-electrons.com>2016-01-31 21:03:55 +0100
commit7df1e23cc6eb1033c714ac82ff9cd50350151f23 (patch)
tree9f08b70d1de5f91a0f627e10d3f8272580cd5d7b /board
parentefd1e36f22d3607063acb4edeb6436d5bc691280 (diff)
configs/nitrogen6*: update to use genimage
Also updating the documentation with the dd instruction to flash the bootable media. Signed-off-by: Gary Bisson <gary.bisson@boundarydevices.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
Diffstat (limited to 'board')
-rw-r--r--board/boundarydevices/nitrogen6x/genimage.cfg16
-rwxr-xr-xboard/boundarydevices/nitrogen6x/post-image.sh16
-rw-r--r--board/boundarydevices/nitrogen6x/readme.txt6
3 files changed, 35 insertions, 3 deletions
diff --git a/board/boundarydevices/nitrogen6x/genimage.cfg b/board/boundarydevices/nitrogen6x/genimage.cfg
new file mode 100644
index 000000000..7a5e71e58
--- /dev/null
+++ b/board/boundarydevices/nitrogen6x/genimage.cfg
@@ -0,0 +1,16 @@
+image sdcard.img {
+ hdimage {
+ }
+
+ partition u-boot {
+ in-partition-table = "no"
+ image = "u-boot.imx"
+ offset = 1024
+ }
+
+ partition rootfs {
+ partition-type = 0x83
+ image = "rootfs.ext4"
+ size = 512M
+ }
+}
diff --git a/board/boundarydevices/nitrogen6x/post-image.sh b/board/boundarydevices/nitrogen6x/post-image.sh
new file mode 100755
index 000000000..9cca1b178
--- /dev/null
+++ b/board/boundarydevices/nitrogen6x/post-image.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+BOARD_DIR="$(dirname $0)"
+GENIMAGE_CFG="${BOARD_DIR}/genimage.cfg"
+GENIMAGE_TMP="${BUILD_DIR}/genimage.tmp"
+
+rm -rf "${GENIMAGE_TMP}"
+
+genimage \
+ --rootpath "${TARGET_DIR}" \
+ --tmppath "${GENIMAGE_TMP}" \
+ --inputpath "${BINARIES_DIR}" \
+ --outputpath "${BINARIES_DIR}" \
+ --config "${GENIMAGE_CFG}"
+
+exit $?
diff --git a/board/boundarydevices/nitrogen6x/readme.txt b/board/boundarydevices/nitrogen6x/readme.txt
index 8657be8d8..6c723f13d 100644
--- a/board/boundarydevices/nitrogen6x/readme.txt
+++ b/board/boundarydevices/nitrogen6x/readme.txt
@@ -2,11 +2,11 @@ Buildroot for Boundary Devices Nitrogen6X:
http://boundarydevices.com/products/nitrogen6x-board-imx6-arm-cortex-a9-sbc/
-To install, simply write rootfs.ext2 to the first partition of a uSD card:
+To install, simply copy the image to a uSD card:
-sudo dd if=output/images/rootfs.ext2 of=/dev/sdX1
+sudo dd if=output/images/sdcard.img of=/dev/sdX
-Where 'sdX1' is the device node of the uSD partition.
+Where 'sdX' is the device node of the uSD partition.
To upgrade u-boot, cancel autoboot and type: